/**
 * Theme Stylesheet Template. This CSS overrides the default CSS so the users
 * can customise colours.
 */
body {
    background-color: #ffffff;
}

body.hasnav {
    background-image: url(sidebar-background.png);
}
ul.mf-topapps li {
    background-color: #3F7364;
    border-color: #325c50 #668f83 #668f83 #325c50;
}
ul.mf-topapps li a {
    border-color: #668f83 #325c50 #325c50 #668f83;
}
ul.mf-topapps li a:hover {
    border-color: #8caba2 #25453c #25453c #8caba2;
}
#mf-topnav {
        background-image: none;
        background-color: #1E2A32;
    border-top: #3F7364 solid 1px;
}


div.panelbox > div.content {
    border-top-color: #3F7364;
}
div.panelbox > h2, .ui-dialog .ui-dialog-titlebar,
h2.MsgBox-Title {
    background-image: linear-gradient(top, #4b555b 0%, #1E2A32 100%);
    background-image: -o-linear-gradient(top, #4b555b 0%, #1E2A32 100%);
    background-image: -moz-linear-gradient(top, #4b555b 0%, #1E2A32 100%);
    background-image: -webkit-linear-gradient(top, #4b555b 0%, #1E2A32 100%);
    background-image: -ms-linear-gradient(top, #4b555b 0%, #1E2A32 100%);
    /* comment the following line because it cause IE8 dialog title color changed*/
   /*-ms-filter: "progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='#4b555b', endColorstr='#1E2A32')";*/
    background-color: #1E2A32;
    border: none;
}
body[class*="iress-"] div.panelbox:not(.panelbox--expander) > h2,
body[class*="iress-"] .ui-dialog .ui-dialog-titlebar,
body[class*="iress-"] .ui-jqdialog .ui-jqdialog-titlebar,
body[class*="iress-"] h2.MsgBox-Title {
    background: #1E2A32;
}
div.widget-title-bar {
    background-image: linear-gradient(top, #ffffff 0%, #1E2A32 100%);
    background-image: -o-linear-gradient(top, #ffffff 0%, #1E2A32 100%);
    background-image: -moz-linear-gradient(top, #ffffff 0%, #1E2A32 100%);
    background-image: -webkit-linear-gradient(top, #ffffff 0%, #1E2A32 100%);
    background-image: -ms-linear-gradient(top, #ffffff 0%, #1E2A32 100%);
    -ms-filter: "progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='#ffffff', endColorstr='#1E2A32')";
}
span.widget-title-text {
    color: #1E2A32;
}
#mf-topstrip {
    background-color: #1E2A32;
}

#mf-topstrip ul li {
    border-left: #3F7364 solid 1px;
}

#mf-topstrip ul {
    border-right: #3F7364 solid 1px;
}

div.slidemenu > div.slide-title > div,
div.slidemenu ul.slide-lvl0 > li > div > a,
div.slidemenu ul.slide-lvl0 > li > div > span {
    color: #1E2A32;
}

div.slidemenu a,
div.slidemenu span {
    color: #307280;
}

div.slidemenu ul.slide-lvl0 ul > li.slide-sel > div {
    background-color: #3F7364;
}
div.slidemenu ul.slide-lvl0 > li.slide-sel.slide-item > div {
    background-color: #3F7364;
}
/* This needs to be here so only sub menus get shaded when there are multiple levels */
div.slidemenu ul.slide-lvl0 ul > li.slide-menu > div {
    background-color: transparent;
}

div.slidemenu > div.slide-title {
    background-image: url(menuarrow-right.png);
}
div.slidemenu.slide-open > div.slide-title {
    background-image: url(menuarrow-down.png);
}
div.slidemenu li.slide-menu > div > a {
    background-image: url(menuarrow-right.png);
}
div.slidemenu li.slide-open > div > a {
    background-image: url(menuarrow-down.png);
}
div.slidemenu2 ul.slide-lvl0 > li > div > a {
    background-color: #3F7364;
}
div.slidemenu2 ul.slide-lvl0 > li {
    background-color: #EDEEE5;
        background-image: none;
    }
div.slidemenu2 a,
div.slidemenu2 span {
    color: #1E2A32;
}
div.slidemenu2 > div.slide-title > div,
div.slidemenu2 ul.slide-lvl0 > li > div > a,
div.slidemenu2 ul.slide-lvl0 > li > div > span {
    color: #FFFFFF;
}
div.slidemenu2 > div.slide-title {
    background-color: #1E2A32;    
}

body[class*="iress-"] {
            /* IDS Base Tokens */
        --iress-g-primary-contrast-color: #ffffff;
                --iress-g-primary-hover-color: #2c5046;
        --iress-g-primary-color: #3F7364;
        
        /* Primary button */
        --iress-button-primary-background-color: var(--iress-g-primary-color);
        --iress-button-primary-hover-background-color: var(--iress-g-primary-hover-color);
        --iress-button-primary-active-background-color: var(--iress-g-primary-hover-color);
        
        /* Secondary button */
        --iress-button-secondary-hover-background-color: #e3eae8;
        --iress-button-secondary-active-background-color: #e3eae8;
    }
